#include<iostream>
using namespace std;
int main(){
    int a, b, L, otgovor = 0;
    cin >> a >> b >> L;
    bool otg[L + 1];
    for(int i = 0; i <= L; i++){
        otg[i] = false;
    }
    for(int x = 1; x < L; x++){
        for(int y = 1; y < L; y++){
            if(x * a + y * b <= L){
                otg[x * a + y * b] = true;
            }else{
                break;
            }
        }
    }
    for(int i = 1; i <= L; i++){
        if(!otg[i]){
            otgovor++;
        }
    }
    cout << otgovor;
    return 0;
}
